> ## Documentation Index
> Fetch the complete documentation index at: https://www.offlineprotocol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All User Profiles

> Retrieves a paginated list of all profiles the authenticated user owns.



## OpenAPI

````yaml get /profiles
openapi: 3.1.0
info:
  title: Offline Protocol API
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.offlineprotocol.com/api/v1
security: []
paths:
  /profiles:
    get:
      summary: Get All User Profiles
      description: Retrieves a paginated list of all profiles the authenticated user owns.
      parameters:
        - name: page
          in: query
          schema:
            type: integer
          example: 1
        - name: limit
          in: query
          schema:
            type: integer
          example: 50
        - name: reverse
          in: query
          schema:
            type: boolean
          example: true
      responses:
        '200':
          description: Profiles list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      count:
                        type: object
                        properties:
                          all:
                            type: integer
                          hidden:
                            type: integer
                          active:
                            type: integer
                      profiles:
                        type: array
                        items:
                          $ref: '#/components/schemas/Profile'
      security:
        - bearerAuth: []
components:
  schemas:
    Profile:
      type: object
      properties:
        username:
          type: string
        about:
          type: string
          nullable: true
        socials:
          type: object
          properties:
            x:
              type: string
              format: uri
              nullable: true
            telegram:
              type: string
              format: uri
              nullable: true
            website:
              type: string
              format: uri
              nullable: true
            discord:
              type: string
              format: uri
              nullable: true
        location:
          type: object
          properties:
            latitude:
              type: number
            longitude:
              type: number
          nullable: true
        hidden:
          type: boolean
          default: false
      required:
        - username
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````